> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rezora.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agent template



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/v1/agents/templates/{id}/
openapi: 3.0.3
info:
  title: Rezora IO API
  version: 1.0.0
  description: >-
    Partner-safe Rezora API reference for authenticated customer and integration
    workflows.
servers:
  - url: https://api.rezora.io
    description: Production API
security: []
tags:
  - name: Billing & Credits
    description: Credit balances, transactions, and receipts.
  - name: Agents
    description: AI agent templates and active campaign-ready agents.
  - name: Contacts
    description: Contact groups, contacts, and imports.
  - name: Campaigns
    description: Campaign creation, dispatch, reporting, recordings, and call attempts.
  - name: Appointments & Calls
    description: Booked appointments and customer call records.
paths:
  /api/v1/agents/templates/{id}/:
    get:
      tags:
        - Agents
      summary: Get agent template
      operationId: agents_get_template
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentTemplate'
          description: ''
      security:
        - jwtAuth: []
components:
  schemas:
    AgentTemplate:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
          nullable: true
        template_key:
          type: string
          readOnly: true
        system_prompt_template:
          type: string
          readOnly: true
        placeholder_schema:
          readOnly: true
        agent_profile_defaults:
          readOnly: true
        llm_runtime_defaults:
          readOnly: true
        response_engine_type:
          type: string
          readOnly: true
        is_active:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - agent_profile_defaults
        - created_at
        - description
        - id
        - is_active
        - llm_runtime_defaults
        - name
        - placeholder_schema
        - response_engine_type
        - system_prompt_template
        - template_key
        - updated_at
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````